package com.ruoyi.zdsz.mapper;

import com.ruoyi.zdsz.domain.ZEnginMaterialQuality;
import com.ruoyi.zdsz.domain.bo.ZEnginMaterialQualityBo;
import com.ruoyi.zdsz.domain.vo.ZEnginMaterialQualityVo;
import com.ruoyi.common.core.mapper.BaseMapperPlus;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 工程材质Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-29
 */
public interface ZEnginMaterialQualityMapper extends BaseMapperPlus<ZEnginMaterialQualityMapper, ZEnginMaterialQuality, ZEnginMaterialQualityVo> {

    List<ZEnginMaterialQualityVo> getEnginMaterialQualityList(ZEnginMaterialQualityBo enginType);
    List<Map> selectEnginQualty(@Param("tableName") String tableName,@Param("id") String id);
    List<Map> selectEnginQualtyShenhe(@Param("tableName") String tableName,@Param("id") String id);
}
