package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.bo.WasteMaterialBo;
import com.ruoyi.zdsz.domain.vo.WasteMaterialVo;
import com.ruoyi.zdsz.domain.vo.ZEngineeringWasteMaterialVo;

import java.util.List;

/**
 * 四大工程 耗材统计
 *
 * @author ruoyi
 * @date 2024-01-02
 */
public interface IZEngineeringWasteMaterialService {

    ZEngineeringWasteMaterialVo queryEngineeringIndustry(String id);
    ZEngineeringWasteMaterialVo queryEngineeringMunicipal(String id);
    ZEngineeringWasteMaterialVo queryEngineeringPipeJacking(String id);
    ZEngineeringWasteMaterialVo queryTouchOperationEngineering(String id);

    List<WasteMaterialVo> engineeringIndustryList(WasteMaterialBo bo);
    List<WasteMaterialVo> engineeringMunicipalList(WasteMaterialBo bo);
    List<WasteMaterialVo> engineeringPipeJackingList(WasteMaterialBo bo);
    List<WasteMaterialVo> engineeringInfrastructureList(WasteMaterialBo bo);
}
